<?php

/**
 * Enhancements to recent posts
 *
 * @package RecentPostsEnhancement
 * @version 2.0
 * @author davidhs
 * @copyright 2013 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Admin area settings.
function rpeSettings($return_config = false)
{
	global $txt, $scripturl, $context;

	$config_vars = array();
	$config_vars[] = array('check', 'rpe_hide_unread_new');
	$config_vars[] = array('check', 'rpe_hide_unread_all');
	$config_vars[] = array('check', 'rpe_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_hide_recent');
	$config_vars[] = array('check', 'rpe_one_line');
	$config_vars[] = '';
	$config_vars[] = array('check', 'rpe_menu_hide_unread_new');
	$config_vars[] = array('check', 'rpe_menu_hide_unread_all');
	$config_vars[] = array('check', 'rpe_menu_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_menu_hide_recent');
	$config_vars[] = '';
	$config_vars[] = array('check', 'rpe_category_hide_unread_new');
	$config_vars[] = array('check', 'rpe_category_hide_unread_all');
	$config_vars[] = array('check', 'rpe_category_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_category_hide_recent');
	$config_vars[] = array('check', 'rpe_category_one_line');

	// Saving?
	if (isset($_GET['save']))
	{
		saveDBSettings($config_vars);
		redirectexit('action=featuresettings;sa=rpe');
	}

	$context['post_url'] = $scripturl . '?action=featuresettings2;save;sa=rpe';
	$context['settings_title'] = $txt['rpe'];

	prepareDBSettingContext($config_vars);
}

?>