<?php

/**
 * Enhancements to recent posts
 *
 * @package RecentPostsEnhancement
 * @version 2.0.1
 * @author davidhs
 * @copyright 2013 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License http://creativecommons.org/licenses/by/3.0/
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once (dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

if (empty($context['uninstalling']))
{
	$rpe_settings = array(
		'upe_hide_unread_since_visit' => 'rpe_hide_unread_new',
		'upe_hide_unread_all' => 'rpe_hide_unread_all',
		'upe_hide_unread_replies' => 'rpe_hide_unread_replies',
		'upe_unread_one_line' => 'rpe_one_line',
		'upe_hide_category_unread_since_visit' => 'rpe_category_hide_unread_new',
		'upe_hide_category_unread_all' => 'rpe_category_hide_unread_all',
		'upe_hide_category_unread_replies' => 'rpe_category_hide_unread_replies',
		'upe_category_unread_one_line' => 'rpe_category_one_line',
	);

	foreach ($rpe_settings as $deprecated_name => $name)
	{
		$request = db_query("
			SELECT variable
			FROM {$db_prefix}settings
			WHERE variable = '$name'", __FILE__, __LINE__);
		$row = mysql_fetch_assoc($request);
		mysql_free_result($request);

		if (!$row)
		{
			db_query("
				UPDATE {$db_prefix}settings
				SET variable = '$name'
				WHERE variable = '$deprecated_name'
				LIMIT 1", __FILE__, __LINE__);
		}
	}
}

?>